#ifndef __CHOOSE_PPD_COMBO_BOX_H__
#define __CHOOSE_PPD_COMBO_BOX_H__

#include <custom_combo_box.h>


class ChoosePpdComboBox : public CustomComboBox
{
    Q_OBJECT
public:
    ChoosePpdComboBox(QWidget *parent = nullptr);
    ~ChoosePpdComboBox();

private:
    void onChooseClicked();
    void showSelectPpdDialog();
    QString m_retPpdName{QString()};
    //安装状态，0：安装成功，1：安装失败，2：已经安装
    int m_installOk{-1};

signals:
    void currentPpdChanged(bool isDefault, const QString &ppdName);
    void installEnd();
    void receivePPD();
};
#endif // __CHOOSE_PPD_COMBO_BOX_H__